<template>
     <v-dialog  v-if="roles" v-model="dialog"  width="400" persistent>
        <template v-slot:activator="{ on, attrs }" >
            <v-btn
                dark
                color="primary"
                class="caption ttn no-transform mb-6"
                v-bind="attrs"
                v-on="on"
            >
                Add internal user
            </v-btn>
        </template>

        <v-card>
            <v-card-title>
                <h2 class="subtitle-1">
                    Register user
                </h2>
                <v-spacer></v-spacer>
                <v-btn
                    icon
                    small
                    color="red"
                    @click="dialog = false"
                    >
                <v-icon small color="red">mdi-close</v-icon>
                </v-btn>
            </v-card-title>

            <v-divider></v-divider>

        <v-card-text class="pt-5">
            <v-text-field
            dense
            outlined
            persistent-hint
            label="Name *"
            v-model="name"
            ></v-text-field>

            <v-text-field
            dense
            outlined
            persistent-hint
            label="Email address *"
            v-model="email"
            ></v-text-field>

            <v-text-field
            dense
            outlined
            persistent-hint
            label="Phone number"
            v-model="phone"
            ></v-text-field>

            <v-select
            dense
            outlined
            persistent-hint
            item-value="id"
            item-text="display_name"
            :items="roles"
            label="Select user role *"
            v-model="role_id"
            ></v-select>
        </v-card-text>
        <v-card-actions class="px-4 pb-5">
            <v-btn
            block
            large
            color="primary"
            :dark="!loading"
            :loading="loading"
            :disabled="loading"
            class="caption font-weight-bold no-transform"
            @click="submit()"
            >
            Save user details
            </v-btn>
        </v-card-actions>
        </v-card>
  </v-dialog>
</template>

<script>
import { mapActions, mapGetters } from 'vuex';
// import Staff from '../../../libs/staff/Staff';
// import Role from '../../../libs/roles/Role';

export default {
  data() {
    return {
      dialog: false,
      loading: false,
      // staffObj: new Staff(),
      // roleObj: new Role(),
      roles: null,
      name: null,
      email: null,
      phone: null,
      role_id: null,

    };
  },

  // computed: {
  //   errors() {
  //     return this.staffObj.form.errors;
  //   },
  // },

  async mounted() {
    // eslint-disable-next-line no-multi-assign
    this.roles = [
      {
        id: 1,
        name: 'Doctors',
        description: 'Responsible for diagnosing and treating medical conditions.',
      },
      {
        id: 2,
        name: 'Facility owners',
        description: 'Owners or managers of medical facilities.',
      },
      {
        id: 3,
        name: 'Nurses',
        description: 'Provide patient care and support to doctors.',
      },
      {
        id: 4,
        name: 'Cashiers',
        description: 'Handle financial transactions in the medical facility.',
      },
      {
        id: 5,
        name: 'Pharmacists',
        description: 'Dispense medications and provide medication-related information to patients.',
      },
      {
        id: 6,
        name: 'Lab Technicians',
        description: 'Perform tests on patient samples to assist in diagnosis and treatment.',
      },
    ];
  },

  methods: {
    submit() {
      if (!this.loading) {
        this.loading = true;
        this.staffObj.store()
          .then(response => {
            // flash(response)
            this.$emit('stored');
            this.dialog = false;
          })
          .finally(() => {
            this.loading = false;
          });
      }
    },

  },

};
</script>
